const handleItemsCarouselElement = function (params) {
  let options = {
    loop: true,
    observer: true,
    observeParents: true,
    breakpoints: {
      640: {
        slidesPerView: params.mobilePerView,
        spaceBetween: params.spaceBetweenMobile,
      },
      768: {
        slidesPerView: params.tabletPerView,
        spaceBetween: params.spaceBetweenTablet,
      },
      1024: {
        slidesPerView: params.desktopPerView,
        spaceBetween: params.spaceBetween,
      },
    },
  };

  if (params.autoPlayStatus === true) {
    options.autoplay = {
      delay: params.playDelay,
      disableOnInteraction: false,
    };
  }
  
  if (params.pagination) {
    options.pagination = {
        el: `.items-carousel-${params.widgetID} .swiper-pagination`,
        clickable: true,
    };
  }

  if (params.arrows) {
    options.navigation = {
      nextEl: '.items-carousel-button-next',
      prevEl: '.items-carousel-button-prev',
    };
  }

  new Swiper(`.swiper-items-carousel.items-carousel-${params.widgetID}`, options);
}