const handlePostTabElement = function (params) {
    let options = {
        loop: true,
        observer: true,
        observeParents: true,
        breakpoints: {
            640: {
                slidesPerView: 1,
                spaceBetween: 10,
            },
            768: {
                slidesPerView: 1,
                spaceBetween: 15,
            },
            1024: {
                slidesPerView: 1,
                spaceBetween: 20,
            },
        },
        on: {
            init: function () {
                let wrap = jQuery(this.$el);
                if(wrap){
                    wrap.addClass('swiper-initialized');
                }
            },
        },
    };

    if (params.autoPlayStatus === true) {
        options.autoplay = {
            delay: params.playDelay,
            disableOnInteraction: false,
        };
    }
    if (params.pagination) {
        options.pagination = {
            el: `.swiper-pagination`,
            clickable: true,
        };
    }

    if (params.arrows) {
        options.navigation = {
            nextEl: '.items-carousel-button-next',
            prevEl: '.items-carousel-button-prev',
        };
    }
    let swiper = new Swiper(params.container, options);
}
jQuery(window).on('elementor/frontend/init', function (){
    elementorFrontend.hooks.addAction( 'frontend/element_ready/post_tab.default', function($scope, $) {
        let wrap = $scope.find('.post-tab-wrap'),
            sliderData = wrap.data('slider');

        sliderData.container = wrap.find('.swiper-post-tab');

        handlePostTabElement(sliderData);
    });
});