const handleProductTab3Element = function (params) {
    let options = {
        loop: true,
        observer: true,
        observeParents: true,
        breakpoints: {
            640: {
                slidesPerView: params.mobilePerView,
                spaceBetween: 10,
            },
            768: {
                slidesPerView: params.tabletPerView,
                spaceBetween: 15,
            },
            1024: {
                slidesPerView: params.desktopPerView,
                spaceBetween: 20,
            },
        },
    };

    if (params.autoPlayStatus === true) {
        options.autoplay = {
            delay: params.playDelay,
            disableOnInteraction: false,
        };
    }
    if (params.pagination) {
        options.pagination = {
            el: `.product-tab3-swiper-${params.widgetID} .swiper-pagination`,
            clickable: true,
        };
    }

    if (params.arrows) {
        options.navigation = {
            nextEl: '.items-carousel-button-next',
            prevEl: '.items-carousel-button-prev',
        };
    }
    new Swiper(`.product-tab3-swiper.product-tab3-swiper-${params.widgetID}`, options);
}